<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsPortInfo Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_port_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsPortInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains a descriptor for opening a communication port to an Xsens device.  
 <a href="struct_xs_port_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa3c32bb7f27dda2e0f07301912170926"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3c32bb7f27dda2e0f07301912170926"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#aa3c32bb7f27dda2e0f07301912170926">XsPortInfo</a> ()</td></tr>
<tr class="memdesc:aa3c32bb7f27dda2e0f07301912170926"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor, creates an empty port info object. <br /></td></tr>
<tr class="separator:aa3c32bb7f27dda2e0f07301912170926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac164ea3824224cbf1daf53ab740f090b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#ac164ea3824224cbf1daf53ab740f090b">XsPortInfo</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;portname, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudRate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, XsPortLinesOptions <a class="el" href="struct_xs_port_info.html#a094a896514076048beca5a202b98d658">linesOptions</a>=XPLO_All_Ignore)</td></tr>
<tr class="memdesc:ac164ea3824224cbf1daf53ab740f090b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Named constructor, initializes the object to the supplied <em>portname</em> and optional <em>baudRate</em>.  <a href="#ac164ea3824224cbf1daf53ab740f090b">More...</a><br /></td></tr>
<tr class="separator:ac164ea3824224cbf1daf53ab740f090b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a484eb1d34de31fdd1b34b27771a3b2c3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a484eb1d34de31fdd1b34b27771a3b2c3">XsPortInfo</a> (int portNr, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudRate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, XsPortLinesOptions <a class="el" href="struct_xs_port_info.html#a094a896514076048beca5a202b98d658">linesOptions</a>=XPLO_All_Ignore)</td></tr>
<tr class="memdesc:a484eb1d34de31fdd1b34b27771a3b2c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port number constructor, initializes the port to have COM&lt;portNumber&gt; as its name and the optional <em>baudRate</em> for a baud rate.  <a href="#a484eb1d34de31fdd1b34b27771a3b2c3">More...</a><br /></td></tr>
<tr class="separator:a484eb1d34de31fdd1b34b27771a3b2c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b0e135d7cfabb5183532ec07e4c4258"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b0e135d7cfabb5183532ec07e4c4258"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a6b0e135d7cfabb5183532ec07e4c4258">clear</a> ()</td></tr>
<tr class="memdesc:a6b0e135d7cfabb5183532ec07e4c4258"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the object to the empty state. <br /></td></tr>
<tr class="separator:a6b0e135d7cfabb5183532ec07e4c4258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d675634d0734e45dc7bc69ff9a50099"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d675634d0734e45dc7bc69ff9a50099"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a2d675634d0734e45dc7bc69ff9a50099">empty</a> () const </td></tr>
<tr class="memdesc:a2d675634d0734e45dc7bc69ff9a50099"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> object is empty. <br /></td></tr>
<tr class="separator:a2d675634d0734e45dc7bc69ff9a50099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f33cf6f37961cbd9751b20bf5ffabe4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f33cf6f37961cbd9751b20bf5ffabe4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a5f33cf6f37961cbd9751b20bf5ffabe4">operator&gt;</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;p) const </td></tr>
<tr class="memdesc:a5f33cf6f37961cbd9751b20bf5ffabe4"><td class="mdescLeft">&#160;</td><td class="mdescRight">greater than operator, used for sorting the list. <br /></td></tr>
<tr class="separator:a5f33cf6f37961cbd9751b20bf5ffabe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c9614bf46998209f480031cb536140"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c9614bf46998209f480031cb536140"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a64c9614bf46998209f480031cb536140">operator&lt;</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;p) const </td></tr>
<tr class="memdesc:a64c9614bf46998209f480031cb536140"><td class="mdescLeft">&#160;</td><td class="mdescRight">less than operator, used for sorting the list. <br /></td></tr>
<tr class="separator:a64c9614bf46998209f480031cb536140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7524ca57452e2bee0c486c8b1ce12431"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7524ca57452e2bee0c486c8b1ce12431"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a7524ca57452e2bee0c486c8b1ce12431">operator==</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;p) const </td></tr>
<tr class="memdesc:a7524ca57452e2bee0c486c8b1ce12431"><td class="mdescLeft">&#160;</td><td class="mdescRight">equality operator, used for finding items in a list. <br /></td></tr>
<tr class="separator:a7524ca57452e2bee0c486c8b1ce12431"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bc0abf76bc54003e18a5b947e900f58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bc0abf76bc54003e18a5b947e900f58"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a1bc0abf76bc54003e18a5b947e900f58">operator==</a> (const char *port) const </td></tr>
<tr class="memdesc:a1bc0abf76bc54003e18a5b947e900f58"><td class="mdescLeft">&#160;</td><td class="mdescRight">equality operator, used for finding items in a list. <br /></td></tr>
<tr class="separator:a1bc0abf76bc54003e18a5b947e900f58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c50615e8e8e96df4b9212005128291e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a5c50615e8e8e96df4b9212005128291e">portNumber</a> () const </td></tr>
<tr class="memdesc:a5c50615e8e8e96df4b9212005128291e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The port number.  <a href="#a5c50615e8e8e96df4b9212005128291e">More...</a><br /></td></tr>
<tr class="separator:a5c50615e8e8e96df4b9212005128291e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d1b0cf2787093ca35dcf3c21c94f5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0d1b0cf2787093ca35dcf3c21c94f5e"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#ad0d1b0cf2787093ca35dcf3c21c94f5e">portName</a> () const </td></tr>
<tr class="memdesc:ad0d1b0cf2787093ca35dcf3c21c94f5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The port name. <br /></td></tr>
<tr class="separator:ad0d1b0cf2787093ca35dcf3c21c94f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a366500a1e8c5a146bf848917d4fd986b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a366500a1e8c5a146bf848917d4fd986b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a366500a1e8c5a146bf848917d4fd986b">setPortName</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;portName_)</td></tr>
<tr class="memdesc:a366500a1e8c5a146bf848917d4fd986b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the port name. <br /></td></tr>
<tr class="separator:a366500a1e8c5a146bf848917d4fd986b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21fa953b8f1aa4a972b9afcf57d70ac4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21fa953b8f1aa4a972b9afcf57d70ac4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a21fa953b8f1aa4a972b9afcf57d70ac4">isUsb</a> () const </td></tr>
<tr class="memdesc:a21fa953b8f1aa4a972b9afcf57d70ac4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this port info object contains a USB device. <br /></td></tr>
<tr class="separator:a21fa953b8f1aa4a972b9afcf57d70ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa411b46232569aca25adef967d7e3769"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa411b46232569aca25adef967d7e3769"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#aa411b46232569aca25adef967d7e3769">isNetwork</a> () const </td></tr>
<tr class="memdesc:aa411b46232569aca25adef967d7e3769"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this port info object contains a network device. <br /></td></tr>
<tr class="separator:aa411b46232569aca25adef967d7e3769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eaba37128147797f156c482da43072f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4eaba37128147797f156c482da43072f"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a4eaba37128147797f156c482da43072f">networkServiceName</a> () const </td></tr>
<tr class="memdesc:a4eaba37128147797f156c482da43072f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the network service name of this port. <br /></td></tr>
<tr class="separator:a4eaba37128147797f156c482da43072f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9837289dc6cf909ea8dfda2422a01bc1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a9837289dc6cf909ea8dfda2422a01bc1">usbBus</a> () const </td></tr>
<tr class="memdesc:a9837289dc6cf909ea8dfda2422a01bc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The usb bus.  <a href="#a9837289dc6cf909ea8dfda2422a01bc1">More...</a><br /></td></tr>
<tr class="separator:a9837289dc6cf909ea8dfda2422a01bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6299dd1fb539448e0fbeeff0d21cdca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#ab6299dd1fb539448e0fbeeff0d21cdca">usbAddress</a> () const </td></tr>
<tr class="memdesc:ab6299dd1fb539448e0fbeeff0d21cdca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The usb address.  <a href="#ab6299dd1fb539448e0fbeeff0d21cdca">More...</a><br /></td></tr>
<tr class="separator:ab6299dd1fb539448e0fbeeff0d21cdca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0b15c72f2ba4937e3a5e2649a0cacd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0b15c72f2ba4937e3a5e2649a0cacd5"></a>
<a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#ab0b15c72f2ba4937e3a5e2649a0cacd5">baudrate</a> () const </td></tr>
<tr class="memdesc:ab0b15c72f2ba4937e3a5e2649a0cacd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The baudrate. <br /></td></tr>
<tr class="separator:ab0b15c72f2ba4937e3a5e2649a0cacd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3b9c9a0b8cd705d93c9a64be174479f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3b9c9a0b8cd705d93c9a64be174479f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#af3b9c9a0b8cd705d93c9a64be174479f">setBaudrate</a> (<a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate_)</td></tr>
<tr class="memdesc:af3b9c9a0b8cd705d93c9a64be174479f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the baudrate. <br /></td></tr>
<tr class="separator:af3b9c9a0b8cd705d93c9a64be174479f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0085b96141fa2e079eb8453dd4e4058"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0085b96141fa2e079eb8453dd4e4058"></a>
<a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#ab0085b96141fa2e079eb8453dd4e4058">deviceId</a> () const </td></tr>
<tr class="memdesc:ab0085b96141fa2e079eb8453dd4e4058"><td class="mdescLeft">&#160;</td><td class="mdescRight">The device ID. <br /></td></tr>
<tr class="separator:ab0085b96141fa2e079eb8453dd4e4058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09424be6924be6f8affdd7280e533ae1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09424be6924be6f8affdd7280e533ae1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a09424be6924be6f8affdd7280e533ae1">setDeviceId</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId_)</td></tr>
<tr class="memdesc:a09424be6924be6f8affdd7280e533ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the device ID. <br /></td></tr>
<tr class="separator:a09424be6924be6f8affdd7280e533ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a094a896514076048beca5a202b98d658"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a094a896514076048beca5a202b98d658"></a>
XsPortLinesOptions&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a094a896514076048beca5a202b98d658">linesOptions</a> () const </td></tr>
<tr class="memdesc:a094a896514076048beca5a202b98d658"><td class="mdescLeft">&#160;</td><td class="mdescRight">The options for the hw flow control lines. <br /></td></tr>
<tr class="separator:a094a896514076048beca5a202b98d658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fde3855e5bd313f402f640a2fcedfb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fde3855e5bd313f402f640a2fcedfb7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a4fde3855e5bd313f402f640a2fcedfb7">setLinesOptions</a> (XsPortLinesOptions <a class="el" href="struct_xs_port_info.html#a094a896514076048beca5a202b98d658">linesOptions</a>)</td></tr>
<tr class="memdesc:a4fde3855e5bd313f402f640a2fcedfb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the options for the hw flow control lines. <br /></td></tr>
<tr class="separator:a4fde3855e5bd313f402f640a2fcedfb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a742dbb1bba68c171718a62f686ba031c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a742dbb1bba68c171718a62f686ba031c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a742dbb1bba68c171718a62f686ba031c">getVidPid</a> (uint16_t &amp;vid, uint16_t &amp;pid) const </td></tr>
<tr class="memdesc:a742dbb1bba68c171718a62f686ba031c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the vid and pid of this portinfo. <br /></td></tr>
<tr class="separator:a742dbb1bba68c171718a62f686ba031c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30353f1d82b7430ca6dddaa9337b34b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30353f1d82b7430ca6dddaa9337b34b5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_port_info.html#a30353f1d82b7430ca6dddaa9337b34b5">setVidPid</a> (uint16_t vid, uint16_t pid)</td></tr>
<tr class="memdesc:a30353f1d82b7430ca6dddaa9337b34b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the vid and pid. <br /></td></tr>
<tr class="separator:a30353f1d82b7430ca6dddaa9337b34b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga10a897853544927b983109bc082a2047"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga10a897853544927b983109bc082a2047">XsPortInfo_clear</a> (<a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga10a897853544927b983109bc082a2047"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the object to the empty state. <br /></td></tr>
<tr class="separator:ga10a897853544927b983109bc082a2047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga97e303f48cc6379d465407af794f8ebe"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga97e303f48cc6379d465407af794f8ebe">XsPortInfo_empty</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga97e303f48cc6379d465407af794f8ebe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> object is empty. <br /></td></tr>
<tr class="separator:ga97e303f48cc6379d465407af794f8ebe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa32b87ad68904738bb4ad9e64758f05a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaa32b87ad68904738bb4ad9e64758f05a">XsPortInfo_portNumber</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:gaa32b87ad68904738bb4ad9e64758f05a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The port number.  <a href="group__cinterface.html#gaa32b87ad68904738bb4ad9e64758f05a">More...</a><br /></td></tr>
<tr class="separator:gaa32b87ad68904738bb4ad9e64758f05a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3b8b2bbdc065321e22e7bc0e0edc3eb"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaf3b8b2bbdc065321e22e7bc0e0edc3eb">XsPortInfo_isUsb</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:gaf3b8b2bbdc065321e22e7bc0e0edc3eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this port info object contains a USB device. <br /></td></tr>
<tr class="separator:gaf3b8b2bbdc065321e22e7bc0e0edc3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga129708cddf087bbb4645aaa7035215f9"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga129708cddf087bbb4645aaa7035215f9">XsPortInfo_isNetwork</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga129708cddf087bbb4645aaa7035215f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this port info object contains a network device. <br /></td></tr>
<tr class="separator:ga129708cddf087bbb4645aaa7035215f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d623eda30ee13bd25e98a716bec0833"><td class="memItemLeft" align="right" valign="top">
const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga8d623eda30ee13bd25e98a716bec0833">XsPortInfo_networkServiceName</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga8d623eda30ee13bd25e98a716bec0833"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the network service name of this port. <br /></td></tr>
<tr class="separator:ga8d623eda30ee13bd25e98a716bec0833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07a9ed806c36fb0f13e476ad29ff6876"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga07a9ed806c36fb0f13e476ad29ff6876">XsPortInfo_usbBus</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga07a9ed806c36fb0f13e476ad29ff6876"><td class="mdescLeft">&#160;</td><td class="mdescRight">The usb bus.  <a href="group__cinterface.html#ga07a9ed806c36fb0f13e476ad29ff6876">More...</a><br /></td></tr>
<tr class="separator:ga07a9ed806c36fb0f13e476ad29ff6876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f7a31f4a8a7aaf3a18c9152d9e993ff"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga9f7a31f4a8a7aaf3a18c9152d9e993ff">XsPortInfo_usbAddress</a> (const struct <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *)</td></tr>
<tr class="memdesc:ga9f7a31f4a8a7aaf3a18c9152d9e993ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">The usb address.  <a href="group__cinterface.html#ga9f7a31f4a8a7aaf3a18c9152d9e993ff">More...</a><br /></td></tr>
<tr class="separator:ga9f7a31f4a8a7aaf3a18c9152d9e993ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains a descriptor for opening a communication port to an Xsens device. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac164ea3824224cbf1daf53ab740f090b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsPortInfo::XsPortInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>portname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudRate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XsPortLinesOptions&#160;</td>
          <td class="paramname"><em>linesOptions</em> = <code>XPLO_All_Ignore</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Named constructor, initializes the object to the supplied <em>portname</em> and optional <em>baudRate</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">portname</td><td>The name of the port, maximum 255 characters </td></tr>
    <tr><td class="paramname">baudRate</td><td>The baud rate to configure for the port, for scanning XBR_Invalid may be used to scan all known baud rates </td></tr>
    <tr><td class="paramname">linesOptions</td><td>The options for the hardware flow control lines </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a484eb1d34de31fdd1b34b27771a3b2c3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsPortInfo::XsPortInfo </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>portNr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudRate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XsPortLinesOptions&#160;</td>
          <td class="paramname"><em>linesOptions</em> = <code>XPLO_All_Ignore</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Port number constructor, initializes the port to have COM&lt;portNumber&gt; as its name and the optional <em>baudRate</em> for a baud rate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">portNr</td><td>The number of the COM port </td></tr>
    <tr><td class="paramname">baudRate</td><td>The baud rate to configure for the port, for scanning XBR_Invalid may be used to scan all known baud rates </td></tr>
    <tr><td class="paramname">linesOptions</td><td>The options for the hardware flow control lines </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>Numbered COM ports are only available on Windows platforms. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5c50615e8e8e96df4b9212005128291e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsPortInfo::portNumber </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The port number. </p>
<dl class="section return"><dt>Returns</dt><dd>Returns the port number </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Available on Windows only </dd></dl>

</div>
</div>
<a class="anchor" id="ab6299dd1fb539448e0fbeeff0d21cdca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsPortInfo::usbAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The usb address. </p>
<dl class="section return"><dt>Returns</dt><dd>Returns the usb address </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Available on Linux only </dd></dl>

</div>
</div>
<a class="anchor" id="a9837289dc6cf909ea8dfda2422a01bc1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsPortInfo::usbBus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The usb bus. </p>
<dl class="section return"><dt>Returns</dt><dd>Returns the Usb bus number </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Available on Linux only </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
